#ifndef _PIUMA_GUI_TEXT_DRAW_H_
#define _PIUMA_GUI_TEXT_DRAW_H_

#include "../lib/types.h"
#include "../lib/math.h"
#include "../lib/geometry.h"
#include "../lib/text.h"

bool gui_text_draw_init();
void gui_text_draw_deinit();

v2 gui_text_draw_size(const char *text, f32 font_size, v2 *cursor_position = NULL);
void gui_text_draw(Rect r, const char *text, f32 font_size, v4 color);
v2 gui_utf8_text_draw_size(const utf8_codepoint *text, u64 length, f32 font_size, v2 *cursor_position = NULL);
void gui_utf8_text_draw(Rect r, const utf8_codepoint *text, u64 length, f32 font_size, v4 color);


#endif
